Contents

Main Contents

Menu Options

General Help

Program Errors

Converting from version 3 program

Other included programs: Ncwterm Pageprg Dnload


General Help

You can get help on any topic by pressing the 'F1' key.

You can get help on any specific item by pressing the 'F1' key when that item is highlighted or has the cursor.


PDF Export

This function will allow the output of several reports to be sent to an external PDF file. To do this you first need to create a PDF document. Then you run the desired reports. In each report there is a button labeled 'To PDF File'. When you click this button, this report will be sent to the PDF document. Finally you need to close the PDF document and provide a name for the PDF file.

The following are the sub menu options available:

Create PDF: This will create and open a PDF document to receive the desired reports. There is an icon [image] on the right of the toolbar that will also perform this task.

View PDF: This will allow you to view the current PDF document. One that you have sent reports to and has not been closed yet. It is also possible to start your email program with the PDF file as an attachment by clicking on the email button.

Close PDF: This function is used to close the current PDF document. You will need to provide a file name for saving the file. You are given a choice to save the file with a 'vpe' extension or a 'pdf' extension. It does not matter which is chosen as the program will save the file in both formats.

View VPE File: This function can be used to view a 'vpe' file that has been saved to disk. This is only available when there is no currently open 'pdf' document.


Reindex data file

Reindex the Data File

This function will delete the index file and then the program will rebuild the index.

If you get database errors, when displaying any reports, you should do a re index to correct the problem. It is also a good idea to perform a re index every few months as this will keep the index file small.


Archive Data

The purpose of this function is to remove call light data, which is older than a selected date, from the data file.

You enter the new starting date for the data file. All call light data older than this date will be removed from the file.

You also have the option of saving the removed data to a file for future use. To do this first check the box labeled 'Save removed data to a file'. You then can enter the file name for this data. This file must have the extension 'dbf'. If you enter a file name without an extension the program will add the proper extension.

If later you want to view this file with the old data use the 'New Data Path' function.


New Data Path

This function will allow the selection of an alternate data file to use temporarily. We might use this if you created a data file of old call light data using the 'Archive data' function.

To use this function you will either enter the new file name or click on the 'Browse' button to select the new file.


Backup Configuration

This option will make a backup of the system configuration file 'Omniwatch.ini' to disk. This file contains the room number information and all other configuration items.


File:exit

Select this item to exit the program


Average Response Time

This report will display the average times in minutes for each station and shift.

From the Report Information window enter the date range for the report. In the Special Options box you may enter a number for the minimum response time to display. The default value is 0 which will display all the calls. If you enter 3 for this number then only calls of 3 minutes and longer will be displayed.

At the top of the Average Response Time report the date of the last recorded call is listed. This will be the last time the calls were downloaded to the computer. To get more current information, you must download the calls using the communicate menu option.

In the response time and calls windows, up to 4 stations or room lists are viewed at one time. To see more stations, you may click on the scroll bar.

By clicking the Avg Calls Graph or Calls Graph button, you can display a graph comparing the stations.

By clicking the Print button, the Average Response Time report can be printed to paper.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.


Summary by Date

This report will display a summary of calls and response times for each day in a range of days.

From the Report Information window enter the date range for the report. You may also select whether to display this report for all stations or just for one station.

In the Special Options box you may enter a number for the minimum response time to display. The default value is 0 which will display all the calls. If you enter 3 for this number then only calls of 3 minutes and longer will be displayed.

In this report the average time is listed in minutes. The calls for each shift are also shown.

To scroll the information in the window, click on the scroll bars.

By clicking on the graph button, you can then choose to display a graph of the data in one of two ways. By choosing to display by shift, you will see a graph with a separate line for each shift. If you choose not to graph by shift, you will see a graph with a single line for the totals of each day.

By clicking on the print button, you can print the report to paper.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.


Summary by Room

This report will display a summary of the calls and response times according to rooms.

From the Report Information window enter the date range for the report. In the Special Options box you can select the order to use to list the room numbers. If you choose Room Order, the rooms will be listed in the order that they are wired into the Omniwatch control panel. If you choose Frequency of Calls, the room numbers will be sorted according to the number of calls. In the Special Options box you may also enter a number for the minimum response time to display. The default value is 0 which will display all the calls. If you enter 3 for this number then only calls of 3 minutes and longer will be displayed. You may also select whether to display this report for all stations or just for one station.

The calls for each shift are shown and the average response time is shown in minutes.

To scroll through the rooms, click on the scroll bar.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.


Summary in Time Order

This report will display the average response time and the calls according to the hour of the day.

From the Report Information window enter the date range for the report. In the Special Options box you can select the display order. If you choose Time of Day the report will list the calls with the standard order of time starting with 12AM. If you choose Activity Order the calls will be sorted by the number of calls for each hour with the hour with the most calls at the top. In the Special Options box you may also enter a number for the minimum response time to display. The default value is 0 which will display all the calls. If you enter 3 for this number then only calls of 3 minutes and longer will be displayed. You may also select whether to display this report for all stations or just for one station.

This report will display the average time in minutes. The number under '% under 3 min.' is the percentage of the calls that have an average response time of 3 minutes or less. The number under '% of total' is the percentage of the total calls that occurred for the listed hour.

To scroll the hours, click on the scroll bar.

By clicking the Graph button, you can display a graph of the totals for each hour.

To print the report to paper click on the Print button.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.


One room activity

List of Activity for One Room

This report will list the call light data for only one room. The report can be printed showing a summary of calls by shift or it can be printed showing a list of all the calls placed.

From the Report Information window enter the date range for the report. Use the 'Select Station' and the 'Select Room' drop down list boxes to select the room for the report. In the Special Options box you may enter a number for the minimum response time to display. The default value is 0 which will display all the calls. If you enter 3 for this number then only calls of 3 minutes and longer will be displayed.

In the 'Special Options' box, you may also select whether to display this report for 'Summary Only' or for 'All Calls'. If you select 'Summary Only', the report will list a summary of the calls for each day. This summary will show the calls and average response time broken down by shift. If you choose the 'All Calls' option, the report will list all the calls that were placed by the chosen room number.

Summary Only: This report is normally run for a range of dates. It will show the average response time in minutes and the calls for each shift . To scroll through the dates, click on the scroll bar.

All Calls: In the list of calls, the time displayed is the time the call light was turned on. The elapsed time is shown in minutes and seconds. Any call with an elapsed time of 3 minutes or longer will be displayed in red. The Calls Over 3 Min. box displays the number of calls with an elapsed time of 3 minutes or longer. To scroll through the list of calls, click on the scroll bar.

By clicking on the Print button, you can print the report to the printer.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.


One Room Summary

This report is normally run for a range of dates. It will show the average response time in minutes and the calls for each shift . To scroll through the dates, click on the scroll bar.

By clicking on the Print button, you can print the report to the printer.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.


One Room All Activity

In the list of calls, the time displayed is the time the call light was turned on. The elapsed time is shown in minutes and seconds. Any call with an elapsed time of 3 minutes or longer will be displayed in red. The Calls Over 3 Min. box displays the number of calls with an elapsed time of 3 minutes or longer. To scroll through the list of calls, click on the scroll bar.

By clicking on the Print button, you can print the report to the printer.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.


List of All Activity

This report will display a list of all the calls placed.

From the Report Information window enter the date range for the report. You may also select whether to display this report for all stations or just for one station.

In the Special Options box you may enter a number for the minimum response time to display. The default value is 0 which will display all the calls. If you enter 3 for this number then only calls of 3 minutes and longer will be displayed.

The time listed for each call is the time the call light was turned on. The elapsed time is listed in minutes and seconds. Any elapsed time that is over 3 minutes is shown in red. To scroll through the listed calls, click on the scroll bar.

To print the report to the printer, click on the Print button.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.

By clicking on the 'Graph' button a graph is displayed of this data. The graph can be printed or sent to the PDF document.


Calls by response time

List of Calls by Response Time

This report will display a list of the calls placed sorted by the elapsed time to answer the call.

From the Report Information window enter the date range for the report. In the Special Options box you can enter a number of minutes for the minimum response time to display. The default is 3 minutes which will limit the report to only display calls that are 3 minutes and longer in response time. You may also select whether to display this report for all stations or just for one station. You can also select to show data for only a single room.

The time listed for each call is the time the call light was turned on. The elapsed time is listed in minutes and seconds. Any elapsed time that is over 3 minutes is shown in red. To scroll through the listed calls, click on the scroll bar.

To print the report to the printer, click on the Print button.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.

By clicking on the 'Graph' button a graph is displayed of this data. The graph can be printed or sent to the PDF document.


Scan Calls for Call-backs

This report will scan over the calls for one day and look for calls that were activated within a certain number of minutes from the time the call light was canceled from a previous call.

From the Report Information window enter the date to use for the report. In the Special Options box you can enter a number of minutes to use for the call-back time. The default setting is 10 minutes which will display call-backs of 10 minutes and less. You may also select whether to display this report for all stations or just for one station.

The calls are listed in groups of 2 calls. The first line is the initial call and the second line is the call back. You can scroll through the list of call-backs by clicking on the scroll bar.

To print the report to the printer, click on the Print button.

If a PDF document is open, you can click the 'To PDF File' button to send this report to the PDF document.


Report Information

The report information window is used to specify the date range and other options for the call light reports.

Date Range

For each report you must select the date range to be used for the report. You may type the date in the date boxes or click on a date in the calendar. To change the calendar by 1 month click on the arrows on the top of the calendar. You may also click on the month name and a list of all months will appear. To change the calendar by 1 year click on the year and you will now be able to change the year. Any date entered will remain active for all reports.

Special Options

The special options box is used to enter options that are applicable to the selected report. Please refer to the help for the following reports for an explanation of these options.

Average Response Time

Summary by Room

Summary in Time Order

List of Activity for One Room

List of Calls by Response Time

Scan Calls for Call-backs

General Options

If room lists have been entered in the program setup you have the option to run the current report using a room list instead of by stations. A station consists of the group of room call lights that are hard wired into an individual Omniwatch control panel. A room list is a list of room numbers that are programmed in the setup option as a unit with a unique name. A room list could be a nursing unit or just a part of a nursing station such as one hallway.

Select Station

For most reports, you may select whether the report is for all stations or for a particular station. If the room lists option is selected under general options then this drop down box will allow selection of the room list to use.

Select Room

When selecting reports for a single room, this drop down list box will show the rooms that can be selected.

Data Filter

When a filter is set, the calls that are displayed are limited by the criteria of the filter. The filters are contained in a file named 'Filter.ini'. There are 5 filters created by the program. More filters can be created by adding them to the 'Filter.ini' file. This will allow the creation of custom criteria for the reports. The included filters named 'Normal Only' and 'Emer Only' will only function when used with a control panel with version 2.26 and above.

The filter takes the general form of: Filter Name=Field <operator> value.

The available operators are: =, <, >,<>

You can also use in the filter the following: .and. .or. .not.

The following are available numeric fields: sta, input, elapsedm, elapseds, shift, rmlst,type

The following are available character fields: timeon, room

With character field values the value is surrounded by single quotes.

An example of a character field is if you want to show only calls for room 101. Use the following: Some Room=Room = '101'

For examples of a numeric field look at the file filter.ini.


Download Data

This menu selection is used to download call light data from the Omniwatch control panels.

After the downloading window opens, you have several seconds to click on the 'Select Stations' button if you want to select the stations to download from, otherwise the program will automatically download data from all stations. If you click on the 'Select Stations' button then a box will open listing all the stations. Choose the station or stations to download and then click on the ok button.

See also Communication Errors


Update Station Clock

This function is used to set the internal clock in the Omniwatch control panels. You would use this function when you want to make sure the control panel time is accurate. It is possible the time in the control panels can drift a few minutes a year.

After selecting this option, a window will open to allow you edit the computer date and time if incorrect. Next a window will open and wait for you to choose which stations to update.

After a control panel has its clock updated it will read the clock and you will see the result displayed in the window.


Reset Memory

Reset Memory in station panel

This function will erase all calls stored in memory in a station control panel. This should only be used when there is a downloading problem and you want to clear out all calls and start fresh or after updating the station clock and you want all new calls to use the new time.

After selecting this option, a window will open and wait for you to choose 'All Stations' or 'Select Stations'. Selecting 'Select Stations' will allow you to choose the station or stations to reset, then click the ok button.


Adjust Room Numbers

This option will step through the data file and rewrite the room numbers assigned to the calls.

You would run this option if you made changes to the room numbers and you want to apply the changes to all the calls in the data file.


Adjust room list number

Adjust Room List Numbers

Selecting this option will step through the data file and write a room list number to all the calls in the data file.

You would run this option after creating or changing the room list file.


Data File Conversion

This option is used to convert a call light data file from the Omniwatch version 3 to the format used by this Windows version.

The version 3 data file in named 'Ncmon.dbf' and the new file will be named 'CallData.DBF'.

For detailed instructions of the conversion process see Converting from version 3 program


Terminal Program

This command will launch the 'NCWTERM.EXE' program which will enable you to do a diagnostic test of the control panels.


Check for Updates

If the computer is connected to the internet, this option will check on the Omniwatch web server for any program updates. The updates will be downloaded. The old files will be renamed.


NCWTERM PROGRAM

This is a terminal program that is used to program certain parameters in the Omniwatch control panels. It could also be used for trouble shooting when you are getting communication errors with the Omniwatch units.


PAGEPRG PROGRAM

This program is used to program the information needed for the Omniwatch unit to send radio pages.


DNLOAD PROGRAM

Program to automatically download the call light data.


Program Errors

Data base errors Errors when printing call light reports.

Communications errors Errors when downloading call light data.


Converting from version 3

Converting from version 3 windows program

The Windows version 4 of the Omniwatch program uses a data file format that is different from the version 3 of the program. When installing the Windows version 4 on a computer with data in the version 3 format that you want to convert to the version 4 format, follow the following procedure:

After installing the version 4, select the 'Setup' option under the 'Utilities' menu selection. When you are done with editing the setup information, click on the OK button in the configuration section to save the data and close the window.

Next select 'Utilities' menu option again and then select 'Data File Conversion' option. This option will convert the 'Ncmon.dbf' file to the new format. The new file will be named 'CallData.DBF'. There will also be an index file created named 'CallData.IDX'.


Room List File

This section of setup is used to create the optional room lists. A room list is a list of rooms that you create and assign a name to. These rooms do not have to be all from the same nurse's station. The Omniwatch program can then print reports based on this room list as a unit.

To create room lists, first decide how many room lists are to be created.

Room List Information box: Enter the total number of room lists and then for each room list enter its name. The name of the room list could something like 'South Hall' or whatever describes this room list.

It is best if every room in the facility is assigned to a room list. If there are some rooms that are left unassigned to a room list, on the 'Average Response Time' report these rooms will report under the heading 'List Excluded'. A room cannot be assigned to more than 1 room list. There are two boxes on the right of the screen. The one is labeled 'Unassigned Rooms' and the other is labeled 'Assigned to Room List'. Simply click on a room in a box and then click on the arrow buttons to move that room to the other box.

After entering all the room list data, click on OK to save the data and exit the setup. The room list information is saved in the Omniwatch.ini file.


Room Data File

This section of setup is where you enter the room numbers for the Omniwatch program. The room number data is stored in the 'Omniwatch.ini' file.

Before entering any room numbers, you must first enter the number of rooms for each station. This is done in the configuration section of setup.

First select the station from the station select drop down box. Then enter the room number or name in the Room Number box. After entering a room number, if you hit the enter key the station input number will advance to the next input. You are allowed to enter a maximum 15 characters for the room number. After entering all the room numbers for all stations, you can save the data and exit setup by clicking on OK.


Communications Errors

Note: Some program errors may occur because Windows is blocking file access to the Omniwatch files. This is usually caused by a different user logged into Windows than was used to install the Omniwatch program. To correct this you must set file permissions in Windows so that all users have both read and write access to the folder where the Omniwatch program is installed. This is usually the C:\Nurse folder. If the data file for Omniwatch is in another folder, this folder should be checked also.

When downloading call light data, if you get a failure to communicate error, check the following:

Retry the downloading selecting one station only. It is possible a station control panel was busy processing call light data.

Check the cable connection at the back of the computer. The cable from the Omniwatch units is connected to a serial port or USB port of the computer using an adapter. Most of the time communication problems can be traced to the back of the computer. Also check that the Omniwatch setup configuration is set to the proper serial port number.

Make sure the station control panel and the computer are set for the same baud rate. The normal baud rate is 2400. The computer baud rate is set in the setup configuration window. Use the Ncwterm program to change the baud rate in the control panel. This program is useful in trouble shooting communication problems.

It is possible for a trouble at one control panel to lock up the communications line for all other control panels. Each control panel has a red LED which should be on. If a control panel also has a green LED this LED should turn on and off every 2 seconds. If this is not the case then the panel should be reset. If the control panel does not have an external reset switch, the unit can be reset by pressing the small switch on the main circuit board which are marked 'Reset'.

Each control panel has an internal clock for keeping the date and time. If this clock should get some erroneous numbers, it could cause the control panel to malfunction or it could cause downloading errors. It could also cause data base errors when printing call light reports. It is a good idea to set this clock if you are experiencing any of these problems. The clock can be set using the 'Update Station Clock' function from the Communicate menu option. The clock can also be checked and set with the 'Ncwterm' program. If the clock is found to be wrong, you should also erase all the calls stored in the control panel memory. This is done by selecting the 'Reset memory in station panel' option from the Communicate menu option or you could also use the 'Cold start' option in the 'Ncwterm' program.

Customer support at Omniwatch can be reached at 800 539-6664.


Communicate Menu

Download Data

Update Station Clock

Reset Memory in Station Panel


Database errors

Note: Some program errors may occur because Windows is blocking file access to the Omniwatch files. This is usually caused by a different user logged into Windows than was used to install the Omniwatch program. To correct this you must set file permissions in Windows so that all users have both read and write access to the folder where the Omniwatch program is installed. This is usually the C:\Nurse folder. If the data file for Omniwatch is in another folder, this folder should be checked also.

Database errors are errors that occur when the program is reading the data from the hard drive for any of the call light reports. The error message displayed might say 'overflow error' or 'data driver error'.

This could be caused by some faulty numbers in the dates for some calls that have been downloaded. If this is the case you should first correct the date in the Omniwatch control panel. The control panel clocks can be read by using the Ncwterm program and can be set by either using Ncwterm or by using the 'Update station clock' function from the 'Communicate' menu option. If a station clock is found to be wrong, you should also erase all the calls that are stored in that unit. After correcting any faulty clocks you should then re index the data file by selecting the 'ReIndex' function from the file menu option.

Whenever any database errors occur it is good to re index the data file. It is good to re index the data file every few months as this will create a more efficient index.


File Menu

File Menu Options

PDF Export

Reindex data file

Archive data

New Data Path

Backup Configuration

Exit


Communicate Window

After the communicate window opens, you have several seconds to click on the 'Select Stations' button if you want to select the stations to work with, otherwise the program will automatically communicate with all stations. If you click on the 'Select Stations' button then a box will open listing all the stations. Choose the station or stations you want to work with and then click on the ok button.

See also Communication Errors


Main Menu Options

File

Reports

Communicate

Utilities


Reports Menu

Average Response Time

Summary by Date

Summary by Room

Summary in Time Order

List of Activity for One Room

List of All Activity

List of Calls by Response Time

Scan Calls for Callbacks

General help on the Reports Information Dialog


Setup

The setup option is used to program the parameters that the program needs to operate. Setup is composed of the following 3 sections:

Configuration which is used to setup general program information.

Room Data File which is used to enter the room numbers.

Room List File which is used to create room lists.

The data entered in this setup section is stored in a file named 'Omniwatch.ini'. You can make a backup of this file to floppy disk by selecting the 'Backup to Floppy' option under the File menu.


Utilities Menu

Utilities Menu Options

Setup

Adjust Room Numbers

Adjust Room List Number

Data File Conversion

Terminal Program

Check for Updates


Configuration

Setup Configuration

Total number of stations

Enter the total number of Omniwatch control panels that are connected to the computer.

Facility Name

Enter the name of the facility. When printing reports to paper, this name is printed at the top of the page.

Data File Information

Data File Path: If the call light data is to be on a different drive or directory from the Omniwatch program then enter the drive and directory path. You can click the 'Select Path' button for a window to select the directory path from those available on the computer. If you are selecting a directory on a remote computer, this remote directory must first be mapped to a drive letter on this computer.

Serial Port

In this section set the communications port number that the cable to the Omniwatch control panels is connected to. The baud rate must be set to the same baud rate that is being used in the control panels. This is usually set to 2400.

Station Data

For each one of the station control panels, enter a name for the station. This name will be used in the program to identify this station. At the 'Total rooms at station' box enter the total number of inputs used at each station control panel. After entering the total number of inputs for each station you must go the room data file section of setup and enter the room numbers before saving the configuration data.